## dwz 0.4

=== debian/changelog ===
dwz (0.4-1) unstable; urgency=low

  * Initial release.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jun 2012 11:44:53 +0200
