=== debian/control ===
Source: dwz
Section: devel
Priority: extra
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 8.0.0), libelf-dev
Standards-Version: 3.9.3
Homepage: http://sourceware.org/git/?p=dwz.git;a=summary

Package: dwz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DWARF compression tool
 DWARF optimizer and duplication removal utility.
