## dwz 0.8

=== debian/changelog ===
dwz (0.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Jan 2013 21:44:18 +0100
