## dwz 0.10

=== debian/changelog ===
dwz (0.10-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 11 May 2013 16:40:55 +0200
