## dwz 0.11

=== debian/changelog ===
dwz (0.11-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 11:01:56 +0100
