=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 8.0.0), libelf-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://sourceware.org/git/?p=dwz.git;a=summary
 
 Package: dwz
