## dwz 0.12

=== debian/changelog ===
dwz (0.12-2) unstable; urgency=medium

  * Make the package M-A: foreign.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Oct 2017 09:33:11 +0200

dwz (0.12-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Feb 2016 20:06:32 +0100
