=== debian/control ===
Source: dwz
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), libelf-dev
Standards-Version: 4.1.1
Homepage: http://sourceware.org/git/?p=dwz.git;a=summary

Package: dwz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DWARF compression tool
 DWARF optimizer and duplication removal utility.
