=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_auto_build:
 	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
