## dwz 0.12.20190723

=== debian/changelog ===
dwz (0.12.20190723-1) unstable; urgency=medium

  * New upstream snapshot.
    - PR 24823, MIPS: Require single pointer size.
    - Mark DW_OP_GNU_variable_value-referenced DIEs with die_no_multifile.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jul 2019 15:32:17 +0200

dwz (0.12.20190716-1) unstable; urgency=medium

  * New upstream snapshot.
    - Don't expect smaller executable when using objcopy and eu-unstrip.
    - Require compatible objcopy and eu-unstrip for objcopy-eu-unstrip*.sh.
      Closes: #932019.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jul 2019 15:59:50 +0200

dwz (0.12.20190711-1) unstable; urgency=medium

  * New upstream snapshot.
    - If .debug_info section not present, exit with 0.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Jul 2019 00:25:25 +0200

dwz (0.12.20190710-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix PR dwz/24783, verify_sections assert on MIPS.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2019 09:29:56 +0200

dwz (0.12.20190706-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Jul 2019 13:58:15 +0200

dwz (0.12.20190703-1) experimental; urgency=medium

  * New upstream snapshot.
  * Remove patches applied upstream.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Jul 2019 09:28:13 +0200

dwz (0.12.20190702-2) experimental; urgency=medium

  * New upstream snapshot.
  * Fix manpage installation.
  * Bump standards version.
  * Add more test dependencies.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Jul 2019 10:19:05 +0200

dwz (0.12-3) unstable; urgency=medium

  * Add DW_OP_GNU_variable_value support (taken from the trunk).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Dec 2018 12:06:52 +0100
