=== debian/control ===
--- 
+++ 
@@ -3,9 +3,13 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9), libelf-dev
-Standards-Version: 4.1.1
-Homepage: http://sourceware.org/git/?p=dwz.git;a=summary
+Build-Depends: debhelper (>= 9),
+  libelf-dev,
+  dejagnu <!nocheck>,
+  elfutils <!nocheck>,
+  gdb <!nocheck>,
+Standards-Version: 4.4.0
+Homepage: https://www.sourceware.org/dwz/
 
 Package: dwz
 Architecture: any
