=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,12 @@
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --buildsystem=makefile --builddirectory=build
+
+override_dh_auto_configure:
+	rm -rf build
+	mkdir build
+	cd build && ../configure
 
 override_dh_auto_build:
 	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
