## dwz 0.13

=== debian/changelog ===
dwz (0.13-5) unstable; urgency=medium

  * Apply updates from the trunk.
    - Fix PR25252.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Dec 2019 20:04:31 +0100

dwz (0.13-4) unstable; urgency=medium

  * Apply updates from the trunk.
    - Fix PR24169.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2019 11:25:00 +0100

dwz (0.13-3) unstable; urgency=medium

  * Apply updates from the trunk.
    - Fix PR24764, PR25024. Closes: #892828.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Nov 2019 21:25:08 +0100

dwz (0.13-2) unstable; urgency=medium

  * Apply updates from the trunk.
    - Fix PR 2509, taken from the trunk. Closes: #942193.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Nov 2019 14:01:46 +0100

dwz (0.13-1build1) eoan; urgency=medium

  * Test build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 12:40:19 +0200

dwz (0.13-1) unstable; urgency=medium

  * dwz 0.13 release.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Aug 2019 17:20:00 +0200
