=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   dejagnu <!nocheck>,
   elfutils <!nocheck>,
   gdb <!nocheck>,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.sourceware.org/dwz/
 
 Package: dwz
