## dwz 0.13%2B20210201

=== debian/changelog ===
dwz (0.13+20210201-1) unstable; urgency=medium

  * Snapshot build, taken from the trunk 20210201.
    - Fix aborting "write_types: Assertion `ref && ref->die_dup == NULL'".
    - [testsuite] Fix make check CC="gcc -m32".

 -- Matthias Klose <doko@debian.org>  Sat, 06 Feb 2021 11:29:45 +0100

dwz (0.13+20210126-1) unstable; urgency=medium

  * Snapshot build, taken from the trunk 20210118.
    - PR dwz/27212, PR dwz/27213, assorted DW_FORM_implicit_const fixes.
    - Don't crash on DWARF5 .debug_line table with zero files.
    - Add DIE offsets in error messages to make it easier to find what
      is wrong.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Jan 2021 17:17:39 +0100

dwz (0.13+20210118-1) unstable; urgency=medium

  * Snapshot build, taken from the trunk 20210118.
    - Fix reading and adjusting of DWARF5 .debug_loclists.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 2021 08:55:43 +0100

dwz (0.13+20201015-2) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 12:56:44 +0100

dwz (0.13+20201015-1) experimental; urgency=medium

  * Snapshot build, taken from the trunk 20201015.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 16:29:25 +0200

dwz (0.13+20200219-1) experimental; urgency=medium

  * Snapshot build, taken from the trunk 20200219.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2020 13:17:01 +0200
