=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
   libelf-dev,
   dejagnu <!nocheck>,
   elfutils <!nocheck>,
   gdb <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.sourceware.org/dwz/
 
 Package: dwz
