## dwz 0.14

=== debian/changelog ===
dwz (0.14-1build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:51:21 +0100

dwz (0.14-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:04 +0200

dwz (0.14-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Mar 2021 15:35:45 +0100

dwz (0.13+20210219-1) experimental; urgency=medium

  * Snapshot build, taken from the trunk 20210219.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Feb 2021 14:34:09 +0100
