=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 13),
   libelf-dev,
   dejagnu <!nocheck>,
   elfutils <!nocheck>,
