## dwz 0.15

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,15 @@
 DWZ_VERSION := $(shell cat $(srcdir)/VERSION)
 CFLAGS_VERSION = -DDWZ_VERSION='"$(DWZ_VERSION)"'
 CFLAGS_COPYRIGHT = $(shell cat $(srcdir)/COPYRIGHT_YEARS)
-CFLAGS_COMMON = -Wall -W -D_FILE_OFFSET_BITS=64 -DXXH_INLINE_ALL=1
+CFLAGS_COMMON = -Wall -W -D_FILE_OFFSET_BITS=64
+XXH_PROG = "\#define XXH_INLINE_ALL 1\n\#include <xxhash.h>\n"
+XXH_INLINE_ALL_WORKS = $(shell printf $(XXH_PROG) \
+		| $(CC) -xc -c - -o /dev/null 2>/dev/null \
+		&& echo -n 1)
+ifeq "$(XXH_INLINE_ALL_WORKS)" "1"
+  CFLAGS_COMMON += -DXXH_INLINE_ALL=1
+endif
+
 override CFLAGS += $(CFLAGS_COMMON) $(CFLAGS_VERSION) $(CFLAGS_COPYRIGHT)
 
 prefix = /usr
@@ -18,6 +26,9 @@
 mandir = $(datarootdir)/man
 OBJECTS = args.o dwz.o hashtab.o pool.o sha1.o dwarfnames.o
 LIBS=-lelf
+ifneq "$(XXH_INLINE_ALL_WORKS)" "1"
+LIBS += -lxxhash
+endif
 dwz: $(OBJECTS)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 args.o: native.o
@@ -40,8 +51,10 @@
 	install -D -m 644 $(srcdir)/dwz.1 $(DESTDIR)$(mandir)/man1/dwz.1
 clean:
 	rm -f $(OBJECTS) *~ core* dwz $(TEST_EXECS) $(DWZ_TEST_OBJECTS) \
-	  dwz.log dwz.sum native.o
+	  dwz.log dwz.sum native.c native.o
 	rm -Rf testsuite-bin tmp.*
+native.c:
+	echo "int main (void) { return 0; }" > $@
 native.o: native.c
 	$(CC) -o $@ $< -c -g
