=== debian/changelog ===
dwz (0.15-1build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:17 +1100

dwz (0.15-1build5) noble; urgency=medium

  * Revert bootstrapping hacks

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 04:51:14 +0000

dwz (0.15-1build4) noble; urgency=medium

  * Drop build-dependency on gdb temporarily

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 03:13:08 +0000

dwz (0.15-1build3) noble; urgency=medium

  * Temporary versioned build-dep on debhelper for bootstrap

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 03:03:41 +0000

dwz (0.15-1build2) noble; urgency=medium

  * Temporary Build-Conflicts: against dwz to try to unstick.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 02:56:36 +0000

dwz (0.15-1build1) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 00:57:53 +0000

dwz (0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 11:45:14 +0100

dwz (0.14+20220924-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Sep 2022 17:22:09 +0200

dwz (0.14+20220924-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build-depend on libxxhash-dev.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Sep 2022 07:25:32 +0200
