=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: dwz
 Section: devel
 Priority: optional
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 13),
   libelf-dev,
+  libxxhash-dev,
   dejagnu <!nocheck>,
   elfutils <!nocheck>,
   gdb <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://www.sourceware.org/dwz/
 
 Package: dwz
