=== debian/watch ===
version=3
http://sourceware.org/git/?p=dwz.git;a=summary .*h=refs/tags/dwz-(\d.*)
