=== debian/changelog ===
dwz (0.16-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Sep 2025 13:31:02 +0200

dwz (0.16-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Jun 2025 11:11:41 +0200
