=== debian/control ===
Source: dwz
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper-compat (= 13),
  libelf-dev,
  libxxhash-dev,
  dejagnu <!nocheck>,
  elfutils <!nocheck>,
  gdb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://www.sourceware.org/dwz/

Package: dwz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DWARF compression tool
 DWARF optimizer and duplication removal utility.
