=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_BUILD_OPTIONS := $(DEB_BUILD_OPTIONS) nostrip noopt
-export DEB_BUILD_OPTIONS
+#DEB_BUILD_OPTIONS := $(DEB_BUILD_OPTIONS) nostrip noopt
+#export DEB_BUILD_OPTIONS
 
 CFLAGS  := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
